
class DefaultDictionaries:
    def __init__(self):
        self.gene_dict = { 'Core Genes': [ "ABCB1", "ABL2", "ACACA", "ACVR1B", "ACVR2A", "ADCY1", "AFF4", "AHCTF1", "AHNAK", "AKAP9", "AKT1", "ALK", "AMOT", "ANK3", "APAF1", "APC", "AQR", "ARAP3", "ARFGAP3", "ARFGEF1", "ARFGEF2", "ARHGAP26", "ARHGAP29", "ARHGEF6", "ARID1A", "ARID1B", "ARID2", "ARID4A", "ARID4B", "ARID5B", "ASH1L", "ASPM", "ASXL1", "ASXL2", "ATM", "ATR", "ATRX", "AXIN1", "AXIN2", "B2M", "BAP1", "BAZ2B", "BCLAF1", "BCOR", "BCR-ABL", "BLM", "BMPR2", "BNC2", "BPTF", "BRAF", "BRCA1", "BRCA2", "BRWD1", "C15orf55", "CAD", "CASP8", "CCAR1", "CCND1", "CDC27", "CDC73", "CDH1", "CDK12", "CDKN1A", "CDKN1B", "CDKN2A", "CEP290", "CHD3", "CHD4", "CHD6", "CHD8", "CHD9", "CHEK2", "CIC", "CLASP2", "CLOCK", "CLSPN", "CNOT1", "CNOT3", "COL1A1", "CREBBP", "CSDE1", "CTCF", "CTNNB1", "CTNND1", "CUL2", "CUL3", "CUX1", "CYLD", "DDX3X", "DDX5", "DHX15", "DHX9", "DICER1", "DLG1", "DNMT3A", "EGFR", "EIF4A2", "EIF4G1", "EIF4G3", "ELF1", "ELF3", "EP300", "EPHA2", "EPHA4", "ERBB2", "ERBB2IP", "ERBB3", "ETV6-RUNX1", "EWRS1-ERG", "EWSR1-FLI1", "EWSR1-X", "EZH2", "F8", "FAF1", "FAM123B", "FAT1", "FAT2", "FBXW7", "FGFR2", "FIP1L1", "FLT3", "FN1", "FOXP1", "FRG1B", "FTSJD1", "FXR1", "G3BP2", "GATA3", "GNA11", "GNAS", "GPS2", "HDAC9", "HGF", "HLA-A", "HLA-B", "HNF1A", "HRAS", "HSPA8", "IDH1", "IDH2", "INPP4A", "INPPL1", "IREB2", "ITSN1", "KALRN", "KAT6B", "KDM5C", "KDM6A", "KDR", "KEAP1", "KIT", "KRAS", "LAMA2", "LARP4B", "LIMA1", "LNPEP", "LPHN2", "LRP6", "LRPPRC", "MACF1", "MAGI2", "MAP2K1", "MAP2K4", "MAP3K1", "MAP3K4", "MAP4K3", "MAX", "MCM3", "MCM8", "MECOM", "MED12", "MED23", "MED24", "MEN1", "MET", "MGA", "MKL1", "MLH1", "MLH3", "MLL", "MLL-AFF1", "MLL2", "MLL3", "MLLT4", "MNDA", "MSR1", "MTOR", "MYC", "MYCN", "MYH11", "MYH14", "MYH9", "NCOR1", "NCOR2", "NF1", "NF2", "NFE2L2", "NOTCH1", "NOTCH2", "NPM1", "NR4A2", "NRAS", "NSD1", "NTN4", "NTRK2", "NUP93", "NUP98", "PABPC3", "PBRM1", "PCDH18", "PCSK5", "PGR", "PHF6", "PHLPP1", "PIK3C2B", "PIK3CA", "PIK3CB", "PIK3R1", "PLCB1", "PLCG1", "PLXNA1", "PLXNB2", "PML-RARA", "POLR2B", "PPP2R1A", "PSIP1", "PTCH1", "PTEN", "PTPN11", "PTPRU", "RAC1", "RAD21", "RASA1", "RASA2", "RB1", "RBM10", "RBM5", "RGS3", "RHOA", "RHOT1", "RNF43", "ROBO2", "RPGR", "RPL5", "RTN4", "RUNX1", "RUNX1-RUNX1T1", "SACS", "SCAI", "SEC31A", "SETD2", "SETDB1", "SF3B1", "SIN3A", "SMAD2", "SMAD4", "SMARCA1", "SMARCA4", "SMARCB1", "SMC1A", "SOS1", "SOS2", "SOX9", "SPOP", "SPTAN1", "SRGAP1", "SRGAP3", "STAG1", "STAG2", "STIP1", "STK11", "STK4", "SVEP1", "TAF1", "TAOK1", "TBL1XR1", "TBX3", "TCF12", "TCF3-PBX1", "TCF4", "TCF7L2", "TET2", "TGFBR2", "THRAP3", "TJP1", "TJP2", "TMPRSS2-ERG", "TNPO1", "TP53", "TP53BP1", "TRIO", "TSC1", "U2AF1", "UPF3B", "USP6", "VHL", "WHSC1", "WHSC1L1", "WNK1", "WT1", "XPO1", "XRN1", "ZC3H11A", "ZFHX3", "ZFP36L1", "ZFP36L2", "ZMYM2", "ZNF292", "ZNF638", "ZNRF3" ] }

        self.tissue_dict = { 'Complete' : ['BLCA', 'CESC', 'COAD/READ', 'ESCA', 'HNSC', 'LUAD', 'MESO', 'OV', 'UCEC', 'ALL', 'LCML', 'PRAD', 'THCA', 'LAML', 'LIHC', 'SKCM', 'STAD', 'LUSC', 'NB', 'SCLC', 'BRCA', 'DLBC', 'KIRC', 'PAAD', 'GBM', 'MM', 'LGG', 'MB', 'ACC', 'CLL'], 'Common' : [ 'BRCA', 'COAD/READ', 'SCLC', 'SKCM' ] }

        self.cosmic_dict = { 'Dummy' : [ 687459, 906824, 909698, 1659823, 908442, 906817, 1240162, 906863, 1240145, 1240141, 909257, 1240174, 1330935, 908146, 910554, 907291, 909746, 907790 ] }
        
        self.cell_line_dict = { 'Dummy' : [ "Ca-Ski", "RKO", "SNU-1040", "NCI-H508", "COLO-680N", "JHU-022", "FADU", "HCC-44", "H513", "OC-314", "MFE-319", "L-1236", "MOLT-13", "CW-2", "GP5d", "SW1116", "LoVo", "COLO-680N", "KYSE-510", "KON", "CML-T1", "EKVX", "NCI-H2023", "SK-LU-1", "EN", "ES-2", "HDLM-2", "HCT-15", "CW-2" ] }